Patchwork [1/2] package_deb: don't install glibc-localedata-i18n separately

login
register
mail settings
Submitter Christopher Larson
Date March 20, 2013, 10:21 p.m.
Message ID <1363818091-22720-1-git-send-email-kergoth@gmail.com>
Download mbox | patch
Permalink /patch/46587/
State Accepted
Commit 331c1f1fe55939d61679e1c8c163b93b2879e29d
Headers show

Comments

Christopher Larson - March 20, 2013, 10:21 p.m.
From: Christopher Larson <chris_larson@mentor.com>

This was removed from package_rpm and package_ipk years ago, and shouldn't be
needed, installing the packages from package_linguas should be sufficient.

Signed-off-by: Christopher Larson <chris_larson@mentor.com>
---
 meta/classes/package_deb.bbclass | 4 ----
 1 file changed, 4 deletions(-)

Patch

diff --git a/meta/classes/package_deb.bbclass b/meta/classes/package_deb.bbclass
index 3174184..84b1c52 100644
--- a/meta/classes/package_deb.bbclass
+++ b/meta/classes/package_deb.bbclass
@@ -104,10 +104,6 @@  package_install_internal_deb () {
 	# Uclibc builds don't provide this stuff..
 	if [ x${TARGET_OS} = "xlinux" ] || [ x${TARGET_OS} = "xlinux-gnueabi" ] ; then
 		if [ ! -z "${package_linguas}" ]; then
-			apt-get install glibc-localedata-i18n --force-yes --allow-unauthenticated
-			if [ $? -ne 0 ]; then
-				exit 1
-			fi
 			for i in ${package_linguas}; do
 				apt-get install $i --force-yes --allow-unauthenticated
 				if [ $? -ne 0 ]; then